import DISNET.objects.DisnetObject as DisnetObject

class CuiMapObject(DisnetObject.DisnetObject):
    """Class to instance objects of type Cui Map"""

    def __init__(self, id: (str, int), vocabulary: str, source: str):
        DisnetObject.DisnetObject.__init__(self, id)
        self.__vocabulary = vocabulary
        self.__source = source

    def getVocabulary(self) -> (str, int):
        """Returns the vocabulary"""
        return self.__vocabulary

    def getSource(self) -> (str, int):
        """Returns the source"""
        return self.__source

    def info(self) -> str:
        """Returns the information of the Disease as a string"""
        return "CuiMap: [source: + " + self.__source + ", cui: " + self.getId() + ", vocabulary: " + self.__vocabulary + "]"

    def __eq__(self, other) -> bool:
        """Equals to other Disease"""
        if isinstance(other, CuiMapObject):
            equalID = self.getId() == other.getId()
            equalName = self.__source == other.getSource()
            equalVocab = self.__vocabulary == other.getVocabulary()

            return equalID and equalName and equalVocab
        else:
            return False
