import DISNET.objects.DisnetObject as DisnetObject


class DiseaseObject(DisnetObject.DisnetObject):
    """Class to instance objects of type Disease"""

    def __init__(self, id: (str, int), name: str):
        DisnetObject.DisnetObject.__init__(self, id)
        self.__name = name

    def getName(self) -> (str, int):
        """Returns the name of the Disease"""
        return self.__name

    def info(self) -> str:
        """Returns the information of the Disease as a string"""
        return "DiseaseObject: [name: " + self.__name + ", id: " + self.getId() + "]"

    def __eq__(self, other) -> bool:
        """Equals to other Disease"""
        if isinstance(other, DiseaseObject):
            equalID = self.getId() == other.getId()
            equalName = self.__name == other.getName()

            return equalID and equalName
        else:
            return False
