import DISNET.objects.DisnetObject as DisnetObject


class PathwayObject(DisnetObject.DisnetObject):
    """Class to instance objects of type Pathway"""

    def __init__(self, id: (str, int), name: str):
        DisnetObject.DisnetObject.__init__(self, id)
        self.__name = name

    def getName(self) -> str:
        """Returns the name of the Pathway"""
        return self.__name

    def info(self) -> str:
        """Returns the information of the Pathway as a string"""
        return "PathwayObject: [name: " + self.__name + ", id: " + self.getId() + "]"

    def __eq__(self, other) -> bool:
        """Equals to other Pathway"""
        if isinstance(other, PathwayObject):
            equalName = self.__name == other.getName()
            equalID = self.getId() == other.getId()

            return equalID and equalName
        else:
            return False
